Page MenuHomePhabricator

Invoke automatic wikidata linking only if the article published to Main namespace
Closed, ResolvedPublic1 Story Points

Description

T87410 added automatic wikidata linking to published aritcles using CX. But it seems the check to see if the article published is in Main namespace is missing in that module

Event Timeline

santhosh created this task.Jun 4 2015, 4:32 PM
santhosh raised the priority of this task from to Normal.
santhosh updated the task description. (Show Details)
santhosh added a project: ContentTranslation.
santhosh added subscribers: santhosh, Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 4:32 PM
santhosh added a subscriber: hoo.Jun 4 2015, 4:34 PM
Pginer-WMF set Security to None.
Amire80 raised the priority of this task from Normal to High.Jun 9 2015, 3:28 PM
Amire80 added a project: Wikidata.

Apparently Wikibase doesn't block linking user pages as I thought, so it must be fixed. Raising priority. Tagging Wikidata because it's related, but it's a CX bug.

Change 217025 had a related patch set uploaded (by Amire80):
Add Wikibase link only to pages in the main namespace

https://gerrit.wikimedia.org/r/217025

Amire80 claimed this task.Jun 9 2015, 5:50 PM

Change 217025 merged by jenkins-bot:
Add Wikibase link only to pages in the main namespace

https://gerrit.wikimedia.org/r/217025

santhosh moved this task from Backlog to Done on the LE-Sprint-88 board.Jun 10 2015, 6:28 AM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 10 2015, 6:34 AM

Please check the patch comments. The fix looks incorrect to me.

Change 217234 had a related patch set uploaded (by Amire80):
In Wikibase linking, check the target title instead of source

https://gerrit.wikimedia.org/r/217234

Change 217234 merged by jenkins-bot:
In Wikibase linking, check the target title instead of source

https://gerrit.wikimedia.org/r/217234

KartikMistry edited a custom field.Jun 16 2015, 3:42 PM
daniel added a subscriber: daniel.EditedJun 16 2015, 4:19 PM

Wikidata linking is configurable and not exclusive to the main namespace. Connected namespaces can be whitelisted using the "namespaces" setting, or blacklisted using the "excludeNamespaces" setting in $wgWBClientSettings.

Amire80 closed this task as Resolved.Jun 19 2015, 7:45 AM
Amire80 removed a project: Patch-For-Review.

This was updated in production yesterday. I just tested it carefully:

It definitely doesn't happen anymore. You can see that no link was added to the Wikidata item. Compare it with https://www.wikidata.org/w/index.php?title=Q134396&action=history , where links to test pages were auto-added and manually deleted.